Subject: I also have a segfault which looks like the same problem.

From: Oded Arbel <[email-masked]>
Date: Fri, 23 May 2014 06:33:16 +0003

Running x2goclient with a session from the command line, the x2goclient 
window appears and I get a notice about a new SSH key, and as soon as I 
approve it the client crashes. In the console I get this output:

$ x2goclient --debug --session='ogiery remote'
x2go-INFO-1> "Starting x2goclient..."
x2go-WARNING-1> "Can't load translator: :/x2goclient_he_il"
x2go-WARNING-2> "Can't load translator: :/qt_he_IL"
x2go-INFO-3> "Started x2goclient."
x2go-DEBUG-../onmainwindow.cpp:479> "$HOME=/home/odeda"
x2go-DEBUG-../onmainwindow.cpp:2192> Reading 2 sessions from config 
file.
x2go-DEBUG-../onmainwindow.cpp:2796> Starting session via smartcard, 
ssh-agent or kerberos token.
x2go-INFO-8> "Starting connection to server: proxy.ip.address:22"
x2go-DEBUG-../onmainwindow.cpp:2830> Start new ssh connection to 
server:"proxy.ip.address":"22" krbLogin: false

The session I was using is like this:
[20140523075017522]
speed=2
pack=16m-jpeg
quality=9
fstunnel=true
export=
iconvto=UTF-8
iconvfrom=ISO8859-1
useiconv=false
fullscreen=true
multidisp=false
display=1
maxdim=false
rdpclient=rdesktop
directrdpsettings=
width=800
height=600
dpi=96
setdpi=true
xinerama=false
usekbd=true
type=auto
sound=true
soundsystem=pulse
startsoundsystem=true
soundtunnel=true
defsndport=true
sndport=4713
print=true
name=ogiery remote
icon=:icons/128x128/x2gosession.png
host=remote.ip.address
user=odeda
key=
rdpport=3389
sshport=22
autologin=true
krblogin=false
krbdelegation=false
directrdp=false
rootless=false
published=false
applications=WWWBROWSER, MAILCLIENT, OFFICE, TERMINAL
command=KDE
rdpoptions=
rdpserver=
xdmcpserver=localhost
usesshproxy=true
sshproxytype=SSH
sshproxyuser=odeda
sshproxykeyfile=
sshproxyhost=proxy.ip.adress
sshproxyport=15022
sshproxysamepass=false
sshproxysameuser=false
sshproxyautologin=true
sshproxykrblogin=false

i've installed x2goclient-dbg, but the backtrace on the core file is 
still useless.